<template>
  <LineChart
    style="height:250px;"
    :chart-data="dataCollection"
    :options="options"
    :height="null"
    :width="null"
  />
</template>

<script>
import LineChart from './LineChart'
export default {
  name: 'ActivityChart',
  components: {
    LineChart
  },
  props: {
    history: {
      required: true,
      type: Array
    }
  },
  data () {
    return {
      dataCollection: {},
      options: {
        responsive: true,
        maintainAspectRatio: false,
        aspectRatio: 2,
        title: {
          display: true,
          text: this.$t('player.karma')
        },
        scales: {
          xAxes: [{
            gridLines: {
              color: '#282828'
            },
            stacked: false
          }],
          yAxes: [{
            gridLines: {
              color: '#282828'
            },
            stacked: false
          }]
        }
      }
    }
  },
  computed: {
    karma () {
      return this.history.map((history) => {
        return (history.openWorld || {}).karma
      })
    },
    days () {
      const arr = this.history.map((history) => {
        const date = new Date(history.createdAt)
        const arr = date.toUTCString().split(' ')
        return arr[1] + ' ' + arr[2]
      })
      return arr
    }
  },
  mounted () {
    this.dataCollection = {
      labels: this.days,
      datasets: [{
        label: this.$t('player.karma'),
        borderColor: 'red',
        data: this.karma
      }]
    }
  }
}
</script>
